package com.caimei365.manager.dao;

import com.caimei365.manager.entity.caimei.ReceiptPermission;
import com.caimei365.manager.entity.caimei.ReceiptUser;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/23
 */
@Mapper
public interface FinanceDao {
    /**
     * 所有用户
     */
    List<ReceiptUser> getReceiptUsers();
    /**
     * 根据ID获取收款用户
     */
    ReceiptUser getReceiptUserById(Integer id);
    /**
     * 查询是否存在当前手机号的用户
     * @param mobile 手机号
     */
    ReceiptUser getReceiptUserByMobile(String mobile);
    /**
     * 获取收款权限列表
     */
    List<ReceiptPermission> getReceiptPermissions();
    /**
     * 用户权限
     */
    List<ReceiptPermission> getReceiptPermissionsByUserId(Integer userId);
    /**
     * 新增收款用户
     */
    void insertReceiptUser(ReceiptUser receiptUser);
    /**
     * 更新收款用户
     */
    void updateReceiptUser(ReceiptUser receiptUser);
    /**
     * 删除收款用户
     */
    void deleteReceiptUser(Integer id);
    /**
     * 删除收款用户原有权限关联
     */
    void deleteReceiptPermissionRelation(Integer userId);
    /**
     * 新增收款用户权限关联
     */
    void insertReceiptPermissionRelation(Integer userId, Integer permissionId);

}
