package com.caimei365.manager.service.wechat;

import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.wechat.WechatMenu;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/1/5
 */
public interface WechatMenuService {
    /**
     * 获取微信公众号菜单列表
     * @param type 类型： 1采美，2呵呵商城
     */
    ResponseJson<List<WechatMenu>> getWechatMenuList(Integer type);
    /**
     * 根据ID获取微信公众号菜单
     * @param id 菜单Id
     */
    ResponseJson<WechatMenu> getWechatMenu(Integer id);
    /**
     * 根据ID更新微信公众号菜单
     * @param id 菜单Id
     */
    ResponseJson<Void> updateWechatMenu(Integer id, WechatMenu menu, String username);
    /**
     * 添加微信公众号菜单
     */
    ResponseJson<Void> addWechatMenu(WechatMenu menu, String username);
    /**
     * 根据ID删除微信公众号菜单
     * @param id 菜单Id
     */
    ResponseJson<Void> deleteWechatMenu(Integer id);
    /**
     * 微信公众号菜单发布
     * @param type 类型： 1采美，2呵呵商城
     */
    ResponseJson<Void> pushWechatMenu(Integer type);
}
